
QGIS Application - Bug report #10322

Scalebar bug in print composer

2014-05-22 01:40 AM - Arthur Vignacq

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 18747

Description

Hello,

I know this bug happened in version 1.6 but looks like it was closed.

We have made a model, and one day the scalebar went crazy.

As you can seen it has enormous numbers and can't be click.

The other scale bar on the bottom of the page was added to test an export.

When exported only the new scalebar appear and not the crazy one (that"s fortunate).

Cheers

History

#1 - 2014-06-21 08:00 AM - Jürgen Fischer

- Category set to Map Composer/Printing

#2 - 2014-06-21 03:46 PM - Nyall Dawson

Do you still have the project containing this bad scale bar? If so, can you attach it to this report?

#3 - 2014-06-28 07:36 AM - Jürgen Fischer

- Target version changed from Version 2.2 to Future Release - Lower Priority

#4 - 2014-07-07 06:19 AM - Arthur Vignacq

- File Base_Arthur_v2.qgs added

- File Hydro.qpt added

Still have this problem even worse with 2 wrong and fake scale in the composer ...

I've attached project and composer model files.

Cheers

#5 - 2014-07-07 07:14 AM - Giovanni Manghi

- Status changed from Open to Feedback
Arthur Vignacq wrote:

Still have this problem even worse with 2 wrong and fake scale in the composer ...

I've attached project and composer model files.

Cheers

I'm not sure if the project file without the data can be used to replicate the issue. Can you attach also the data (or a sample of, enough to replicate the

issue)?

#6 - 2014-07-30 05:14 AM - Denis Rouzaud

- OS version deleted (10.8.5)

- Operating System deleted (Mac osX)

- File composer.xml added

I recently had a problem with a scale bar which got a pagey=nan

That led to:

- initial zoom percentage as nan (on ubuntu, nothing show and composer unsable on windows)

- cannot pan on the whole composer when zooming in (only top left corner can be viewed)

See attached composer.

#7 - 2014-11-28 02:34 AM - Denis Marin

- Target version changed from Future Release - Lower Priority to Version 2.6

I have problems with the scale bar in composer. The map unity shows good values but not in metres.

#8 - 2015-11-07 11:25 AM - Giovanni Manghi

- Target version deleted (Version 2.6)

#9 - 2015-12-27 01:20 PM - Giovanni Manghi

can anyone say if this is still an issue in the latest releases?

If yes, can anyone attach a project with layouts and data?

#10 - 2016-01-29 05:18 AM - amedeo fadini

- File layout_scalebar_10322.zip added

Not sure if it's the same bug, but I've noticed a strange behaviour with the scalebar today. I'm using 2.13 and 2.8.5. See attached project and data.

- layers are in EPSG:3003

- Project CRS 4258 OTF

Setting scale 1:2000 100 units of scalebar are 25mm, scale of printed map consistent with this (it's about 1:4000);

setting scale 1:1000 100 units of scalebar are 71mm, scale of printed map is NOT consistent (about 1:1900).
(The line of 205,4 meters long in 3003 should be 242 meters in 4258 because of cartographic distortion).

#11 - 2016-05-23 09:29 AM - Giovanni Manghi

- Status changed from Feedback to Open

#12 - 2017-05-01 01:08 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#13 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

Bug_report.tiff 1.07 MB 2014-05-21 Arthur Vignacq

Base_Arthur_v2.qgs 1.78 MB 2014-07-07 Arthur Vignacq

Hydro.qpt 45.5 KB 2014-07-07 Arthur Vignacq

composer.xml 29.1 KB 2014-07-30 Denis Rouzaud

layout_scalebar_10322.zip 89.2 KB 2016-01-29 amedeo fadini
